| LightHub v4.0.0 Smarthome controller firmware

Classes | Macros | Typedefs | Functions | Variables
itemCmd.h File Reference
`#include "Arduino.h"`
`#include "aJSON.h"`

Go to the source code of this file.

## Classes
union | itemCmdStore
union | itemArgStore
class | itemCmd

## Macros
#define | commandsNum sizeof(commands_P)/sizeof(cmdstr)
#define | CMD_ON 1
| Definition of Commands. More...
#define | CMD_OFF 2
#define | CMD_RESTORE 3
#define | CMD_TOGGLE 4
#define | CMD_HALT 5
#define | CMD_XON 6
#define | CMD_XOFF 7
#define | CMD_UP 8
#define | CMD_DN 9
#define | CMD_HEAT 0xa
#define | CMD_COOL 0xb
#define | CMD_AUTO 0xc
#define | CMD_FAN 0xd
#define | CMD_DRY 0xe
#define | CMD_STOP 0xf
#define | CMD_HIGH 0x10
#define | CMD_MED 0x11
#define | CMD_LOW 0x12
#define | CMD_ENABLED 0x13
#define | CMD_DISABLED 0x14
#define | CMD_TRUE 0x15
#define | CMD_FALSE 0x16
#define | CMD_RGB 0x17
#define | CMD_HSV 0x18
#define | CMD_MASK 0xff
#define | FLAG_MASK 0xff00
#define | CMD_VOID 0
#define | CMD_UNKNOWN -1
#define | CMD_JSON -2
#define | SEND_IMMEDIATE 0x1
#define | SEND_COMMAND 0x100
#define | SEND_PARAMETERS 0x200
#define | SEND_RETRY 0x400
#define | SEND_DEFFERED 0x800
#define | SEND_DELAYED 0x1000
#define | ACTION_NEEDED 0x2000
#define | ACTION_IN_PROCESS 0x4000
#define | ST_VOID 0
| Definition of all possible types of argument, contained in class. More...
#define | ST_PERCENTS255 1
#define | ST_HSV255 2
#define | ST_HS 3
#define | ST_RGB 4
#define | ST_RGBW 5
#define | ST_TENS 6
#define | ST_FLOAT 7
#define | ST_FLOAT_CELSIUS 8
#define | ST_FLOAT_FARENHEIT 9
#define | ST_INT32 10
#define | ST_UINT32 11
#define | ST_STRING 12
#define | MAP_SCALE 1
#define | MAP_VAL_CMD 2

## Typedefs
typedef char | cmdstr[9]

## Functions
int | txt2cmd (char *payload)

## Variables
const cmdstr commands_P[] | PROGMEM

## Macro Definition Documentation

## ◆ ACTION_IN_PROCESS

#define ACTION_IN_PROCESS 0x4000

## ◆ ACTION_NEEDED

#define ACTION_NEEDED 0x2000

## ◆ CMD_AUTO

#define CMD_AUTO 0xc

## ◆ CMD_COOL

#define CMD_COOL 0xb

## ◆ CMD_DISABLED

#define CMD_DISABLED 0x14

## ◆ CMD_DN

#define CMD_DN 9

## ◆ CMD_DRY

#define CMD_DRY 0xe

## ◆ CMD_ENABLED

#define CMD_ENABLED 0x13

## ◆ CMD_FALSE

#define CMD_FALSE 0x16

## ◆ CMD_FAN

#define CMD_FAN 0xd

## ◆ CMD_HALT

#define CMD_HALT 5

## ◆ CMD_HEAT

#define CMD_HEAT 0xa

## ◆ CMD_HIGH

#define CMD_HIGH 0x10

## ◆ CMD_HSV

#define CMD_HSV 0x18

## ◆ CMD_JSON

#define CMD_JSON -2

## ◆ CMD_LOW

#define CMD_LOW 0x12

## ◆ CMD_MASK

#define CMD_MASK 0xff

## ◆ CMD_MED

#define CMD_MED 0x11

## ◆ CMD_OFF

#define CMD_OFF 2

## ◆ CMD_ON

#define CMD_ON 1

Definition of Commands.

## ◆ CMD_RESTORE

#define CMD_RESTORE 3

## ◆ CMD_RGB

#define CMD_RGB 0x17

## ◆ CMD_STOP

#define CMD_STOP 0xf

## ◆ CMD_TOGGLE

#define CMD_TOGGLE 4

## ◆ CMD_TRUE

#define CMD_TRUE 0x15

## ◆ CMD_UNKNOWN

#define CMD_UNKNOWN -1

## ◆ CMD_UP

#define CMD_UP 8

## ◆ CMD_VOID

#define CMD_VOID 0

## ◆ CMD_XOFF

#define CMD_XOFF 7

## ◆ CMD_XON

#define CMD_XON 6

## ◆ commandsNum

#define commandsNum sizeof(commands_P)/sizeof(cmdstr)

## ◆ FLAG_MASK

#define FLAG_MASK 0xff00

## ◆ MAP_SCALE

#define MAP_SCALE 1

## ◆ MAP_VAL_CMD

#define MAP_VAL_CMD 2

## ◆ SEND_COMMAND

#define SEND_COMMAND 0x100

## ◆ SEND_DEFFERED

#define SEND_DEFFERED 0x800

## ◆ SEND_DELAYED

#define SEND_DELAYED 0x1000

## ◆ SEND_IMMEDIATE

#define SEND_IMMEDIATE 0x1

## ◆ SEND_PARAMETERS

#define SEND_PARAMETERS 0x200

## ◆ SEND_RETRY

#define SEND_RETRY 0x400

## ◆ ST_FLOAT

#define ST_FLOAT 7

## ◆ ST_FLOAT_CELSIUS

#define ST_FLOAT_CELSIUS 8

## ◆ ST_FLOAT_FARENHEIT

#define ST_FLOAT_FARENHEIT 9

## ◆ ST_HS

#define ST_HS 3

## ◆ ST_HSV255

#define ST_HSV255 2

## ◆ ST_INT32

#define ST_INT32 10

## ◆ ST_PERCENTS255

#define ST_PERCENTS255 1

## ◆ ST_RGB

#define ST_RGB 4

## ◆ ST_RGBW

#define ST_RGBW 5

## ◆ ST_STRING

#define ST_STRING 12

## ◆ ST_TENS

#define ST_TENS 6

## ◆ ST_UINT32

#define ST_UINT32 11

## ◆ ST_VOID

#define ST_VOID 0

Definition of all possible types of argument, contained in class.

## Typedef Documentation

## ◆ cmdstr

typedef char cmdstr[9]

## Function Documentation

## ◆ txt2cmd()

int txt2cmd | ( | char * | payload | ) |

## Variable Documentation

## ◆ PROGMEM

const cmdstr commands_P [] PROGMEM

Initial value:
=
{
"","ON","OFF","REST","TOGGLE","HALT","XON","XOFF","INCREASE","DECREASE",
"HEAT","COOL","AUTO","FAN_ONLY","DRY","STOP","HIGH","MEDIUM","LOW",
"TRUE","FALSE","ENABLED","DISABLED","RGB","HSV"
}